import request from '@/utils/request'

//  查询平台蜜蜂币活动信息
export function getBeeList(data) {
  return request({
    url: '/platformBeeCurrency/page',
    method: 'post',
    data
  })
}

//  新增平台蜜蜂币
export function addBee(data) {
  return request({
    url: '/platformBeeCurrency/save',
    method: 'post',
    data
  })
}


//  查询平台蜜蜂币活动信息
export function getBeeInfo(id) {
  return request({
    url: `/platformBeeCurrency/${id}`,
    method: 'get',
  })
}

//  修改平台蜜蜂币
export function editBee(data) {
  return request({
    url: '/platformBeeCurrency/update',
    method: 'put',
    data
  })
}

// 停止当前蜜蜂币活动
export function stopBee(data) {
  return request({
    url: `/platformBeeCurrency/stop`,
    method: 'post',
    data
  })
}